[FFe] /usr/bin/gnupg --version should be 2.1

Bug #1615039 reported by Dimitri John Ledkov on 2016-08-19
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
gnupg (Ubuntu)
Undecided
Unassigned
gnupg1 (Ubuntu)
Undecided
Unassigned
gnupg2 (Ubuntu)
Undecided
Unassigned
libconfig-identity-perl (Ubuntu)
Undecided
Unassigned
libgnupg-interface-perl (Ubuntu)
Undecided
Unassigned
python-gnupg (Ubuntu)
Undecided
Unassigned
software-properties (Ubuntu)
Undecided
Unassigned
ubuntu-keyring (Ubuntu)
Undecided
Unassigned

Bug Description

FFe to merge recent changes in debian packaging to make /usr/bin/gnupg the modern implementation of gnupg.

Related branches

CVE References

Dimitri John Ledkov (xnox) wrote :

gnupg1 (1.4.20-7ubuntu1) yakkety; urgency=medium

  * Merge with Debian. Remaining Ubuntu changes:
    - Disable mlock() test since it fails with ulimit 0 (on buildds).
    - Set gpg (or gpg2) and gpgsm to use a passphrase agent by default.
    - Enable SHA-512 support in gpgv-udeb.
  * Dropped changes, gnupg1 will not be in default installs:
    - Only suggest gnupg-curl and libldap; recommendations are pulled into
      minimal, and we don't need the keyserver utilities in a minimal Ubuntu
      system.
  * Dropped changes:
    - Not present in Debian any more: Disable inline assembler for ppc64el.
    - Drop lp1541925.patch, present in Debian as
      0006-g10-Make-sure-to-have-the-directory-for-trustdb.patch
  * SECURITY UPDATE: random number generator prediction
    - debian/patches/CVE-2016-6313-1.patch: improve readability by using a
      macro in cipher/random.c.
    - debian/patches/CVE-2016-6313-2.patch: hash continuous areas in the
      csprng pool in cipher/random.c.
    - CVE-2016-6313

gnupg1 (1.4.20-7) unstable; urgency=medium

  * Release to unstable.

gnupg1 (1.4.20-6+exp5) experimental; urgency=medium

  * two more fixes from upstream
  * build-depend explicitly on automake

gnupg1 (1.4.20-6+exp4) experimental; urgency=medium

  * make debian/copyright even more detailed.

gnupg1 (1.4.20-6+exp3) experimental; urgency=medium

  * rename source package from gnupg to gnupg1
  * convert packaging to modern dh
  * break out an arch-indep gnupg1-l10n package
  * pull in several as-yet-unreleased upstream fixes
  * fix upstream spelling errors and clean up lintian warnings
  * update debian/watch, debian/control, and debian/copyright

gnupg (1.4.20-6+exp2) experimental; urgency=medium

  * corrected Conflicts with older gnupg binaries (Closes: #821910)

gnupg (1.4.20-6+exp1) experimental; urgency=medium

  * ship binary packages gpgv1 and gnupg1, since gnupg2 source package is
    now providing gpgv and gnupg in experimental

 -- Dimitri John Ledkov <email address hidden> Wed, 31 Aug 2016 11:47:54 +0100

tags: added: block-proposed
Changed in gnupg2 (Ubuntu):
status: New → In Progress
Changed in gnupg1 (Ubuntu):
status: New → Fix Committed
Iain Lane (laney) wrote :

If you do this

  - Mail ubuntu-devel announcing the switch
  - Volunteer to be on call to fix any problems that arise
  - Subscribe to package bugs for a reasonable period
  - Upload the switch this week

then +1 from me

Jeremy Bicha (jbicha) on 2016-09-01
Changed in libconfig-identity-perl (Ubuntu):
status: New → Fix Committed
Changed in libgnupg-interface-perl (Ubuntu):
status: New → Fix Committed
Changed in software-properties (Ubuntu):
status: New → Fix Committed
Changed in python-gnupg (Ubuntu):
status: New → Fix Committed
tags: removed: block-proposed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package software-properties - 0.96.24.4

---------------
software-properties (0.96.24.4) yakkety; urgency=medium

  * add-apt-repository: fix compatibility with keybox gnupg 2.1. LP:
    #1615039

 -- Dimitri John Ledkov <email address hidden> Thu, 01 Sep 2016 11:25:27 +0100

Changed in software-properties (Ubuntu):
status: Fix Committed → Fix Released
Changed in ubuntu-keyring (Ubuntu):
status: New → Fix Committed
Changed in libconfig-identity-perl (Ubuntu):
status: Fix Committed → Fix Released
Changed in libgnupg-interface-perl (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-keyring - 2016.09.01

---------------
ubuntu-keyring (2016.09.01) yakkety; urgency=medium

  * Depend on "gnupg | gnupg1". LP: #1615039

 -- Dimitri John Ledkov <email address hidden> Thu, 01 Sep 2016 18:44:10 +0100

Changed in ubuntu-keyring (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnupg2 - 2.1.15-1ubuntu2

---------------
gnupg2 (2.1.15-1ubuntu2) yakkety; urgency=medium

  * Add breaks for software-properties-common at 0.96.24.3 or lower.

 -- Dimitri John Ledkov <email address hidden> Thu, 01 Sep 2016 11:34:12 +0100

Changed in gnupg2 (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package python-gnupg - 0.3.8-3ubuntu2

---------------
python-gnupg (0.3.8-3ubuntu2) yakkety; urgency=medium

  * Re-sync with Debian (LP: #1615039)

 -- Jeremy Bicha <email address hidden> Thu, 01 Sep 2016 03:42:27 -0400

Changed in python-gnupg (Ubuntu):
status: Fix Committed → Fix Released
Jeremy Bicha (jbicha) on 2016-12-07
Changed in gnupg (Ubuntu):
status: New → Fix Released
Changed in gnupg1 (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers